<?php

namespace Asdsad\Asd\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AAAATransformer extends TransformerAbstract
{
    public function transform(\Asdsad\Asd\Models\AAAA $a_a_a_a)
    {
        return [
            'id'                => $a_a_a_a->getRouteKey(),
            'key'               => [
                'public'    => $a_a_a_a->getPublicKey(),
                'route'     => $a_a_a_a->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('asd/'.$a_a_a_a->getPublicKey()),
                'user'      => guard_url('asd/a_a_a_a/'.$a_a_a_a->getRouteKey()),
            ], 
            'status'            => trans('app.'.$a_a_a_a->status),
            'created_at'        => format_date($a_a_a_a->created_at),
            'updated_at'        => format_date($a_a_a_a->updated_at),
        ];
    }
}